Update Parameter#

Description#

Updates the parameter matching the provided ID in the provided payload.

PUT /api/v1/parameter/{parameterId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

parameterId

path

string

true

The unique identifier of the parameter

body

body

GlobalParameterDto

true

The representation of the parameter to update

Body parameter example#

{
  "description": "string",
  "label": "string",
  "listType": "string",
  "mode": "scalar",
  "name": "string",
  "overridable": true,
  "scope": "global",
  "selectListId": "string",
  "type": "string",
  "value": null
}

Code Samples#

curl -X PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId} \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId} \
    Content-Type:application/json \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=PUT "https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId}" \
    --output-document -  \ 
    --header 'Content-Type: application/json' \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.put('https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter/{parameterId}', headers = headers)

print(r.json())

Returns#

200 - OK#

undefined

Example Responses#

{
  "body": {
    "choices": [
      "undefined"
    ],
    "created": "string",
    "databaseId": "string",
    "description": "string",
    "id": "string",
    "label": "string",
    "listType": "string",
    "mode": "string",
    "name": "string",
    "overridable": "boolean",
    "scope": "string",
    "selectListId": "string",
    "type": "string",
    "updated": "string",
    "userId": "string",
    "value": "undefined",
    "version": "integer"
  },
  "code": "integer"
}